package com.casic.dcms.ui;

import com.casic.dcms.base.AndroidxBaseActivity;
import com.casic.dcms.bean.UserBean;
import com.casic.dcms.databinding.ActivityUserBinding;
import com.casic.dcms.utils.StringHelper;

/**
 * @author : Pengxh
 * @time : 2021/4/14 15:22
 * @email : 290677893@qq.com
 */
public class UserInfoActivity extends AndroidxBaseActivity<ActivityUserBinding> {

    @Override
    protected void setupTopBarLayout() {
        viewBinding.titleBarLayout.titleView.setText("个人资料");
        viewBinding.titleBarLayout.leftBackView.setOnClickListener(v -> finish());
    }

    @Override
    protected void initData() {
        UserBean.DataBean userBean = StringHelper.getUserBean();
        viewBinding.userNameView.setText(userBean.getName());
        viewBinding.userPhoneView.setText(userBean.getPhone());
        viewBinding.userDeptView.setText(userBean.getDeptName());
    }

    @Override
    protected void initEvent() {

    }
}